#ifdef VPP
!OCL SCALAR
#endif
SUBROUTINE SUHCP(KULOUT)

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMHCP   , ONLY : NHECP, AVAS, AVAN, AVAW, AVAE, LAVALOC,&
&                     AVASL, AVANL, AVAWL, AVAEL
USE YOMLUN   , ONLY :    NULNAM

!**** *SUHCP*   - initialize common yomhcp with avarc events

!     Purpose.
!     --------
!           avarc: assimilation of corrections provided by previ

!**   Interface.
!     ----------
!        *CALL* *SUHCP(KULOUT)

!        Explicit arguments :
!        --------------------
!        KULOUT : Logical unit for the output

!        Implicit arguments :
!        --------------------
!        COMMON YOMHCP

!     Method.
!     -------
!        See documentation

!     Externals.
!     ----------
!        Called by SUVAR.

!     Reference.
!     ----------
!        Documentation on TSR/AVARC       

!     Author.
!     -------
!        Radmila Brozkova  *RC LACE*

!     Modifications.
!     --------------
!        Original : 01-04-26
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        R.Brozkova    06-Aug-2004 Local mask in AVARC
!      ----------------------------------------------------------------

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KULOUT 
REAL(KIND=JPRB) :: ZHOOK_HANDLE

#include "posnam.intfb.h"
#include "namhcp.h"
!      ----------------------------------------------------------------
!*       1.    SET DEFAULT VALUES.
!              -------------------

IF (LHOOK) CALL DR_HOOK('SUHCP',0,ZHOOK_HANDLE)
NHECP(:) = 0
AVAS(:) = -90.0_JPRB
AVAN(:) =  90.0_JPRB
AVAW(:) = 360.0_JPRB
AVAE(:) =   0.0_JPRB
AVASL=AVAS(1)
AVANL=AVAN(1)
AVAWL=AVAW(1)
AVAEL=AVAE(1)
LAVALOC=.FALSE.

!      ----------------------------------------------------------------
!*       2.    Modifies default values.
!              -----------------------

!        2.1   Read namelist

CALL POSNAM(NULNAM,'NAMHCP')
READ(NULNAM,NAMHCP)

!        2.2   If the correction is applied locally: checks


!      -----------------------------------------------------------
!*       3.    Print final values.
!              ------------------

WRITE(UNIT=KULOUT,FMT='('' COMMON YOMHCP '')')
WRITE(KULOUT,*) ' NHECP =  ',NHECP 
WRITE(KULOUT,*) ' AVAS =  ',AVAS 
WRITE(KULOUT,*) ' AVAN =  ',AVAN 
WRITE(KULOUT,*) ' AVAE =  ',AVAE 
WRITE(KULOUT,*) ' AVAW =  ',AVAW 
WRITE(KULOUT,*) ' LAVALOC =  ',LAVALOC 
!     ------------------------------------------------------------------
IF (LHOOK) CALL DR_HOOK('SUHCP',1,ZHOOK_HANDLE)
END SUBROUTINE SUHCP
